<template>
	<view>
		<!-- 头部 -->
		<view class="width100 height120 backcorfff">
			<image :src="gasOrderList.gasimg" class="flleft conImg mart10 margle10"></image>
			<view class="conCont paddtop15">
				<view class="font20 fontwig6 fcor333 text1 paddtright10">{{gasOrderList.gasname}}</view>
				<view class="font14 fcor999 text2 paddtop5 paddtright10">{{gasOrderList.gasaddress}}</view>
				<view class="font20 fontwig6 fcoreb5 paddtop5">￥{{gasOrderList.highChildOrderList[0].gasPriceVip}}
					<text class="margle10 slogan font14">￥{{gasOrderList.highChildOrderList[0].gasPriceGun}}</text>
				</view>
			</view>
		</view>
		<!-- //订单详情 -->
		<view class="mart10 heightl60 paddleft10 fcor333 fontwig6 font18 width100 backcorfff">订单详情</view>
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				油号\油枪
			</view>
			<view class="flright width40 fotct">
				{{gasOrderList.highChildOrderList[0].gasOilNo}}#/{{gasOrderList.highChildOrderList[0].gasGunNo}}号
			</view>
		</view>
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				加油金额
			</view>
			<view class="flright width40 fotct">
				¥{{orderList.oilingPrice}}
			</view>
		</view>
		<!-- 新增 -->
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				加油升数
			</view>
			<view class="flright width40 fotct">
				{{orderList.oilLiters}}L
			</view>
		</view>
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				平台折扣
			</view>
			<view class="flright width40 fotct" v-if="orderList.discount != 1">
				{{(orderList.discount * 100).toFixed(2)}}折
			</view>
			<view class="flright width40 fotct" v-else>
				无
			</view>
		</view>
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				每升优惠
			</view>
			<view class="flright width40 fotct" v-if="!memDiscountId">
				¥{{orderList.litersPreferences}}
			</view>
			<view class="flright width40 fotct" v-else>
				¥0
			</view>
		</view>
		<view class="line1"></view>
		<view class="heightl60 paddleft10 fcor666  font16 width100 backcorfff">
			<view class="flleft width50">
				本次优惠
			</view>
			<view class="flright width40 fotct" v-if="!memDiscountId">
				¥{{orderList.totalPreferences}}
			</view>
			<view class="flright width40 fotct" v-else>
				¥0
			</view>
		</view>

		<!-- //优惠券，积分抵扣 -->
		<view class="width100 concont mart10 backcorfff">
			<view class="height50 width100 paddtop5 backcorfff" @click="showPopup()">
				<view class="width50 flleft fcor333 fontwig6 font16" style="padding-left: 2%;">
					优惠抵扣<text class="yhqky">{{OrderPreList.length}}张可用</text>
				</view>
				<view class="width40 flright fotrt paddtright15 font15 fontwig6 fcor666 alijun"
					style="align-items: center;" v-if="deductionPrice == 0">
					未使用
					<image style="width: 40rpx;height: 40rpx;" src="../../../static/img/jt.png"></image>
				</view>
				<view class="width40 flright fotrt paddtright15 font15 fontwig6 fcoreb5 alijun"
					style="align-items: center;" v-else>
					-￥{{deductionPrice}}
					<image style="width: 40rpx;height: 40rpx;" src="../../../static/img/jt.png"></image>
				</view>
			</view>
			<view class="width94 line1 mart5 marb5"></view>
			<view class="Bubble alijusstart font14 fcor999">
				选取: <text class="tests fotct font14 colorc3 paddleft5 paddtright5">{{priceValue[1]}}</text> 分
			</view>
			<view class="width94 alijusstart paddtop10">
				<view class="width30 fcor333 font16">
					积分抵扣
				</view>
				<view class="cj-slider">
					<view class="flleft fotct font14 fcor666" style="width: 15%;">0</view>
					<cj-slider style="width: 60%; float:left;" v-if="isDiscount" v-model="priceValue" :min="0"
						:max="availIntegal" :step="1" :blockWidth="40" @start="blockStart" @moving="blockMoving"
						@end="blockEnd" />
					<view class="flright fotrt font14 fcor666" style="width: 25%;">{{availIntegal}}</view>
				</view>
			</view>
			<view class="width94 line1 mart15 marb5"></view>
			<view class="height50 width100 backcorfff">
				<view class="width70 flleft fcor666 font16 text1" style="padding-left: 2%;">
					抵扣金额
				</view>
				<view class="width20 flright fotrt paddtright15 font15 fcor666 alijun" style="align-items: center;">
					¥{{priceValue[1] / 100}}
				</view>
			</view>
		</view>
		<view class="width94 line1 mart5 marb5"></view>
		<view class="height40 width100 backcorfff">
			<view class="width40 flleft fcor666 font15 fontwig6 text1 alijusstart" style="padding-left: 2%;">
				<image src="../../../static/img/rebate.png" mode="widthFix" style="width: 25px;"></image>
				<text>下单返积分</text>
			</view>
			<view class="width50 flright fotrt paddtright15 font15 colore95 alijun" style="align-items: center;"
				v-if="Integrastu == 1">
				返{{rebateIntegral}}积分
			</view>
			<view class="width50 flright fotrt paddtright15 font15 colore95 alijun" style="align-items: center;"
				v-if="Integrastu == 2">
				{{rebateIntegral}}
			</view>
		</view>
		<view class=" width100 backcorfff alijusstart paddbotm10" style="padding-left: 2%;">
			<image src="../../../static/img/sigh.png" mode="widthFix" class="icon20"></image>
			<text class="fcor999 font13">积分抵扣与优惠券抵扣不同享</text>
		</view>
		<!-- //支付方式 -->
		<view class="mart10 heightl60 paddleft10 fcor333 fontwig6 font18 width100 backcorfff">支付方式:</view>
		<view class="line1"></view>
		<view class="width100 backcorfff">

			<view class="line1"></view>
			<view class="heightl60 paddleft10 fcor666 width100 backcorfff" @tap="paytype='weixin'">
				<view class="width60 flleft font14">
					银联支付
				</view>
				<view class="flright width30 fotct" v-if="isUse">
					<radio :checked="paytype=='weixin'" color="#0083f5" />
				</view>
			</view>

			<view class="line1"></view>
			<view class="heightl60 paddleft10 fcor666 width100 backcorfff" @tap="paytype='oilcard'">
				<view class="width60 flleft font14">
					油卡支付<text class="font14 fcor666 margle">余额: {{oilPirce}}元</text>
				</view>
				<view class="flright width30 fotct" v-if="isUse">
					<radio :checked="paytype=='oilcard'" @click="changeRiado()" color="#0083f5" />
				</view>
			</view>

			<!-- <view class="line1"></view>
			<view class="heightl60 paddleft10 fcor666 width100 backcorfff" @tap="paytype='gonghuika'">
				<view class="width60 flleft fontwig6">
					汇联通工会卡<text class="font14 fcor666 margle">余额: {{tongCardPrice}}元</text>
				</view>
				<view class="flright width30 fotct">
					<radio :checked="paytype=='gonghuika'" @click="changeRiado()" color="#0083f5" />
				</view>
			</view> -->
		</view>

		<view class="width100 mart15 fcor333 font16 fontwig6 paddleft10">重要说明</view>
		<view class="width95 paddleft10 font14 fcor999	 mart5">1.<text
				class="fcor089 fontwig6">请先加油后下单</text>,即您到站后,与工作人员确认油号,枪号后再付款。</view>
		<view class="width95 paddleft10 font14 fcor999  mart5">
			2.请勿先付款后加油,若您已下单付款。请于24小时内到加油站完成加油;若您48小时内未完成加油,请及时发起退单;逾期退单可能会退单失败。</view>
		<view class="height80 width100"></view>
		<!-- 底部按钮 -->
		<view class="footer">
			<view class="width50 flleft fcoreb5 padleft15 font15">
				合计: ￥<text class="font24">{{payPrice}}</text>
			</view>
			<button class="reBtn flright" @click="addOrder">去支付</button>
		</view>



		<wybPopup ref="popup" type="bottom" width="500" :scrollY="true" radius="6" :showCloseIcon="true">
			<view class="fotct font18 fontwig6 fcor333 mart10 height30">优惠券选择</view>
			<view class="width92 height110 tccs mart10 alijus" v-for="(items, index) in OrderPreList" :key="index"
				@click="radioChanges(items.highDiscount,items)">
				<image mode="widthFix" :src="imageUrl+items.highDiscount.discountImg"></image>
				<view class="alijus width60 margle10">
					<view class="width80p">
						<view class="font16 fontwig6 fcor333 text1">{{items.highDiscount.discountName}}</view>
						<view class="font13 fcor999 mart5">
							有效期:{{items.highDiscount.salesEndTime | timeFormat('yyyy-mm-dd hh:mm:ss')}}
						</view>
					</view>
					<view class="width20 fotrt">
						<view>
							<radio
								v-if="items.highDiscount.discountCondition && orderPrice >= items.highDiscount.discountCondition"
								color="#c72a20" :checked="items.id == memDiscountId" />
							<radio
								v-if="items.highDiscount.discountCondition && orderPrice < items.highDiscount.discountCondition"
								color="#c72a20" disabled="true" :checked="items.id == memDiscountId" />

							<radio v-if="!items.highDiscount.discountCondition" color="#c72a20"
								:checked="items.id == memDiscountId" />
						</view>
					</view>
				</view>
			</view>
		</wybPopup>

		<ssPaymentPassword ref="paymentPassword" :mode="1" @submit="submitHandle" />
	</view>
</template>

<script>
	import {
		orderToPay,
		getHuiLianTongCardBalance,
		hltUnionCardPay,
		orderToGoldPay,
		findUser,
		oilCardPay,
		getUserOrderPreList,
		canUseDiscount,
		addOrder,
		cancelOrder,
		unionPay,
		oilPriceDiscountCompute,
		getRebateIntegral
	} from '../../../Utils/Api.js';
	import ssPaymentPassword from '../../../components/sanshui-payment-password/index.vue';
	import wybPopup from '../../../components/wyb-popup/wyb-popup.vue';
	import cjSlider from '@/components/cj-slider/cj-slider.vue';
	let app = getApp();
	// #ifdef H5
	var jweixin = require('jweixin-module');
	// #endif
	export default {
		components: {
			ssPaymentPassword,
			wybPopup,
			cjSlider
		},
		data() {
			return {
				orderNo: '',
				payprice: '',
				orderList: '',
				tongCardPrice: 0,
				imageUrl: app.globalData.imgUrl,
				oilPirce: 0, //油卡余额
				user: '',
				paytype: 'weixin',
				PaymentPassword: '',
				// timedeductionPrice: '0', //本次优惠金额

				orderPrice: '', //原价
				deductionPrice: '0.00', //优惠金额
				OrderPreList: [], //优惠券数据
				isUse: true, // 是否禁用状态
				payPrice: 0, //支付价格
				isDiscount: true, //刷新组件
				memDiscountId: '', //优惠券id
				priceValue: [0, 0], // 积分可以指定默认值
				availIntegal: 0, // 可用积分
				gasOrderList: '', //存的订单信息
				rebateIntegral: '', //返回积分
				Integrastu: 1 //返积分状态 
			}
		},
		onLoad(e) {
			this.gasOrderList = app.globalData.pelletoilList;
			this.orderPrice = this.gasOrderList.highChildOrderList[0].goodsPrice;
		},
		onShow() {
			let that = this;
			// that.paytype = '';
			that.findUser();
		},
		methods: {
			findUser() {
				let params;
				findUser(params).then(res => {
					if (res.return_code == '000000') {
						app.globalData.userInfo = res.return_data;
						this.user = res.return_data;
						if (res.return_data.oilCard) {
							this.oilPirce = res.return_data.oilCard.amount;
						}
						this.canUseDiscount();
						this.oilPriceDiscountCompute();
						uni.setStorage({
							key: "user",
							data: res.return_data
						})
					}
				});
			},
			//支付返利积分
			getRebateIntegral() {
				let datas = {
					"companyId": app.globalData.companyId,
					"price": this.payPrice,
					"productId": 1,
					"type": 3,
				}
				getRebateIntegral(datas).then(res => {
					if (res.return_code == '000000') {
						this.rebateIntegral = res.return_data;
						this.Integrastu = 1;
					} else {
						this.rebateIntegral = res.return_msg;
						this.Integrastu = 2;
					}
				})
			},
			//查询优惠券
			canUseDiscount() {
				let params = {
					"goodsType": "3",
					"goodsId": this.gasOrderList.highChildOrderList[0].goodsId,
					"goodsPrice": this.gasOrderList.highChildOrderList[0].goodsPrice
				}
				canUseDiscount(params).then(res => {
					if (res.return_code == '000000') {
						this.OrderPreList = res.return_data;
					}
				});
			},

			//计算价格
			oilPriceDiscountCompute() {
				let datas = {
					"price": this.gasOrderList.highChildOrderList[0].goodsPrice,
					"goodsId": this.gasOrderList.highChildOrderList[0].goodsId,
					"oilNo": this.gasOrderList.highChildOrderList[0].gasOilNo,
				}
				oilPriceDiscountCompute(datas).then(res => {
					if (res.return_code == '000000') {
						this.orderList = res.return_data;
						this.payPrice = res.return_data.payPrice;
						let payprice = parseFloat(this.payPrice * 100).toFixed(
							0);
						if (payprice > this.user.gold) {
							this.availIntegal = this.user.gold;
						} else {
							this.availIntegal = payprice;
						}
						this.getRebateIntegral();
					}
				})
			},

			//弹出优惠券
			showPopup() {
				this.$refs.popup.show();
			},
			//选择优惠券
			radioChanges(item, items) {
				this.rechangeload();
				if (this.memDiscountId == items.id) { // 如果已经选中，则取消选中
					this.memDiscountId = '';
					this.deductionPrice = '0.00';
					this.priceCaluc(this.orderList.payPrice);

				} else { // 否则进行选中赋值
					if (item.discountType == 1) {
						if (this.orderPrice >= item.discountCondition) {
							this.memDiscountId = items.id;
							//满减价格
							this.deductionPrice = item.discountPrice;
							let oldprice = this.orderPrice - this.deductionPrice;
							this.priceCaluc(oldprice);
						} else {
							uni.showToast({
								title: '请满' + item.discountCondition + '使用此券',
								icon: 'none',
								duration: 2000
							})
						}
					}
					if (item.discountType == 2) {
						this.memDiscountId = items.id;
						//抵扣价格
						this.deductionPrice = item.discountPrice;
						let oldprice = this.orderPrice - this.deductionPrice;
						this.priceCaluc(oldprice);
					}
					if (item.discountType == 3) {
						this.memDiscountId = items.id;
						// 打折
						this.deductionPrice = this.orderPrice - (this.orderPrice * item.discountPrice);
						let oldprice = parseFloat(this.orderPrice * item.discountPrice).toFixed(2);
						this.priceCaluc(oldprice);

					}
				}
				this.$refs.popup.hide();
			},
			//计算价格
			priceCaluc(item) {
				// let zkprice = 0.9;
				// parseFloat(this.rechargeDes.integralDiscount / 100).toFixed(2);
				// let pprice = parseFloat(item * 100).toFixed(0);
				let payprice = parseFloat(item * 100).toFixed(0);
				if (payprice > this.user.gold) {
					this.availIntegal = this.user.gold;
					this.priceValue[1] = 0;
				} else {
					this.availIntegal = payprice;
					this.priceValue[1] = 0;
				}
				this.reload();
				this.calculatepayPrice();
			},
			//计算支付价格
			calculatepayPrice() {
				if (this.deductionPrice == 0) {
					this.payPrice = Math.abs(parseFloat(this.orderList.payPrice - (parseFloat(this.priceValue[1] / 100)
							.toFixed(
								2)))
						.toFixed(2));
				} else {
					this.payPrice = Math.abs(parseFloat(this.orderPrice - (parseFloat(this.priceValue[1] / 100).toFixed(
							2)) - this
						.deductionPrice).toFixed(2));
				}
				this.getRebateIntegral();
			},
			rechangeload() {
				this.isUse = false;
				this.$nextTick(() => (this.isUse = true))
			},
			//刷新组件
			reload() {
				this.isDiscount = false;
				this.$nextTick(() => (this.isDiscount = true))
			},

			//滑动开始
			blockStart() {},
			blockMoving() {
				// console.log('正在滑动中')
			},
			//滑动结束
			blockEnd() {
				this.isDiscount = 1;
				if (this.deductionPrice == 0) {
					this.payPrice = Math.abs(parseFloat(this.orderList.payPrice - parseFloat(this.priceValue[1] / 100)
							.toFixed(2))
						.toFixed(2));
				} else {
					this.payPrice = Math.abs(parseFloat(this.orderPrice - parseFloat(this.priceValue[1] / 100).toFixed(2) -
						this.deductionPrice).toFixed(2));
				}
				if (this.payPrice == 0) {
					this.isUse = false;
					this.paytype = '';
				} else {
					this.isUse = true;
				}
				this.getRebateIntegral();
			},

			//密码支付完成
			submitHandle(e) {
				this.PaymentPassword = e.value;
				if (this.PaymentPassword == '') {
					uni.showToast({
						title: '请勿手动关闭弹窗',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				uni.showLoading({
					title: '支付中...'
				})
				if (this.payPrice == 0 && !this.orderNo) {
					let goods = {
						"identificationCode": this.gasOrderList.identificationCode,
						"payGold": this.priceValue[1],
						"memDiscountId": this.memDiscountId,
						"payPwd": this.PaymentPassword,
						"highChildOrderList": [{
							"goodsType": this.gasOrderList.highChildOrderList[0].goodsType,
							"goodsId": this.gasOrderList.highChildOrderList[0].goodsId,
							"saleCount": 1,
							"goodsPrice": this.gasOrderList.highChildOrderList[0].goodsPrice,
							"gasGunNo": this.gasOrderList.highChildOrderList[0].gasGunNo,
							"gasOilNo": this.gasOrderList.highChildOrderList[0].gasOilNo,
							"gasOilType": this.gasOrderList.highChildOrderList[0].gasOilType,
							"gasPriceGun": this.gasOrderList.highChildOrderList[0].gasPriceGun,
							"gasPriceVip": this.gasOrderList.highChildOrderList[0].gasPriceVip,
						}]
					}
					addOrder(goods).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							if (app.globalData.gasKey) {
								app.globalData.gasKey = '';
								app.globalData.staffCode = '';
								uni.removeStorage({
									key: 'gasKey'
								})
								uni.removeStorage({
									key: 'staffCode'
								})

							}
							this.orderNo = res.return_data.id;
							uni.reLaunch({
								url: '/pages/goods/refuel-succes/refuel-succes?id=' +
									this.orderNo
							});
						} else {
							uni.showToast({
								title: res.return_msg,
								icon: 'none',
								duration: 2000
							});
						}
					})
					return;
				}
				if (this.paytype == 'jifen') {
					let params = {
						"orderId": this.orderNo,
						"password": this.PaymentPassword
					}
					orderToGoldPay(params).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							uni.showToast({
								title: '支付成功'
							})
							uni.reLaunch({
								url: '/pages/goods/refuel-succes/refuel-succes?id=' + this.orderNo
							});
							return;
						}
						if (res.return_code == '102130') {
							uni.navigateTo({
								url: '../../login/updatePas/updatePas'
							})
							return;
						}
						uni.showToast({
							title: res.return_msg,
							icon: 'none'
						})
					})
					return;
				}

				if (this.paytype == 'gonghuika') {
					let params = {
						"orderId": this.orderNo,
						"cardNo": this.user.hltCardNo.cardNo,
						"password": this.PaymentPassword
					}
					hltUnionCardPay(params).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							uni.showToast({
								title: '支付成功'
							})
							uni.reLaunch({
								url: '/pages/goods/refuel-succes/refuel-succes?id=' + this.orderNo
							});
							return;
						}
						if (res.return_code == '102130') {
							this.cancelOrder();
							uni.navigateTo({
								url: '../../login/updatePas/updatePas'
							})
							return;
						}
						if (res.return_code == '102132') {
							this.cancelOrder();
							uni.showToast({
								title: res.return_msg,
								icon: 'none'
							})
							return;
						}
						uni.navigateBack({})
						uni.showToast({
							title: res.return_msg,
							icon: 'none'
						})
					})
					return;
				}
				if (this.paytype == 'oilcard') {
					let params = {
						"orderId": this.orderNo,
						"cardNo": this.user.oilCard.cardNo,
						"password": this.PaymentPassword
					}
					oilCardPay(params).then(res => {
						uni.hideLoading();
						if (res.return_code == '000000') {
							uni.showToast({
								title: '支付成功'
							})
							uni.reLaunch({
								url: '/pages/goods/refuel-succes/refuel-succes?id=' + this.orderNo
							});
							return;
						}
						if (res.return_code == '102130') {
							this.cancelOrder();
							uni.navigateTo({
								url: '../../login/updatePas/updatePas'
							})
							return;
						}
						if (res.return_code == '102132') {
							this.cancelOrder();
							uni.showToast({
								title: res.return_msg,
								icon: 'none'
							})
							return;
						}
						uni.showToast({
							title: res.return_msg,
							icon: 'none'
						})
						uni.navigateBack({})
					})
					return;
				}

			},
			//取消订单
			cancelOrder() {
				let params = {
					orderId: this.orderNo
				}
				cancelOrder(params).then(res => {
					if (res.return_code == '000000') {
						this.orderNo = '';
					}
				})

			},
			//获取选择支付方式
			changeRiado() {
				// if (!this.user.isSetHltCard && this.paytype == 'gonghuika') {
				// 	uni.showToast({
				// 		icon: 'none',
				// 		title: '当前账号还未绑定,前往绑定',
				// 		duration: 2000,
				// 		success() {
				// 			setTimeout(() => {
				// 				uni.navigateTo({
				// 					url: '../../user/bindingCard/bindingCard'
				// 				})
				// 			}, 1000)
				// 		}
				// 	});
				// 	return;
				// }

				if (!this.user.isSetOilCard) {
					uni.showToast({
						icon: 'none',
						title: '当前账号还未绑定,前往绑定',
						duration: 2000,
						success() {
							setTimeout(() => {
								uni.navigateTo({
									url: '../../user/bindingCard/bindingCard'
								})
							}, 1000)
						}
					});
					return;
				}
			},
			//查询工会卡余额
			getHuiLianTongCardBalance() {
				let params = {
					cardNo: this.user.hltCardNo.cardNo
				}
				getHuiLianTongCardBalance(params).then(res => {
					if (res.return_code == '000000') {
						this.tongCardPrice = res.return_data.balance;
					}

				});
			},
			//下单
			addOrder() {
				if (this.payPrice == 0) {
					this.$refs.paymentPassword.modalFun('show');
					return;
				}

				if (this.paytype == '') {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				if (this.orderNo) {
					this.orderToPay();
					return;
				}
				uni.showLoading({
					title: '提交订单中...'
				})
				let goods = {
					"identificationCode": this.gasOrderList.identificationCode,
					"payGold": this.priceValue[1],
					"memDiscountId": this.memDiscountId,
					"highChildOrderList": [{
						"goodsType": this.gasOrderList.highChildOrderList[0].goodsType,
						"goodsId": this.gasOrderList.highChildOrderList[0].goodsId,
						"saleCount": 1,
						"goodsPrice": this.gasOrderList.highChildOrderList[0].goodsPrice,
						"gasGunNo": this.gasOrderList.highChildOrderList[0].gasGunNo,
						"gasOilNo": this.gasOrderList.highChildOrderList[0].gasOilNo,
						"gasOilType": this.gasOrderList.highChildOrderList[0].gasOilType,
						"gasPriceGun": this.gasOrderList.highChildOrderList[0].gasPriceGun,
						"gasPriceVip": this.gasOrderList.highChildOrderList[0].gasPriceVip,
					}]
				}
				addOrder(goods).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000') {
						this.orderNo = res.return_data.id;
						this.orderToPay();
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//获取订单数据
			orderToPay() {
				let that = this;
				if (that.paytype == '') {
					uni.showToast({
						title: '请选择支付方式',
						icon: 'none',
						duration: 2000
					})
					return;
				}
				if (that.paytype == 'weixin') {
					that.unionPay();
					return;
				}
				if (that.paytype == 'gonghuika') {
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../../login/updatePas/updatePas'
						})
						return;
					}
					if (!that.user.isSetOilCard) {
						uni.showToast({
							icon: 'none',
							title: '当前账号还未绑定,前往绑定',
							duration: 2000,
							success() {
								setTimeout(() => {
									uni.navigateTo({
										url: '../../user/bindingCard/bindingCard'
									})
								}, 1000)
							}
						});
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				}

				if (that.paytype == 'oilcard') {
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../../login/updatePas/updatePas'
						})
						return;
					}
					if (!that.user.isSetHltCard) {
						uni.showToast({
							icon: 'none',
							title: '当前账号还未绑定,前往绑定',
							duration: 2000,
							success() {
								setTimeout(() => {
									uni.navigateTo({
										url: '../../user/bindingCard/bindingCard'
									})
								}, 1000)
							}
						});
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				}

				if (that.paytype == 'jifen') {
					if (!that.user.isSetPayPwd) {
						uni.navigateTo({
							url: '../../login/updatePas/updatePas'
						})
						return;
					}
					that.$refs.paymentPassword.modalFun('show');
				}

			},
			//银联获取信息
			unionPay() {
				let goods = {
					"orderId": this.orderNo
				}
				unionPay(goods).then(res => {
					if (res.return_code == '000000') {
						this.uniontopay(res.return_data.prepayid);
					} else {
						uni.showToast({
							title: res.return_msg,
							icon: 'none',
							duration: 2000
						});
					}
				})
			},
			//银联支付
			uniontopay(item) {
				let that = this;
				upsdk.pluginReady(function() {
					upsdk.pay({
						tn: item,
						success: function(res) {
							uni.showToast({
								title: '支付成功'
							})
							uni.reLaunch({
								url: '/pages/goods/refuel-succes/refuel-succes?id=' + that
									.orderNo
							});
						},
						fail: function(err) {
							uni.navigateBack({})
							uni.showToast({
								title: err.msg,
								icon: 'none',
								duration: 2000
							})
							// 支付失败, err.msg 是失败原因描述, 比如TN号不合法, 或者用户取消了交易 等等。
						}
					});
				});
			}
		}
	}
</script>

<style lang="less">
	page {
		background-color: #f7f7f7;
	}

	.conImg {
		width: 100px;
		height: 100px;
		border-radius: 8px;
	}

	.conCont {
		margin-left: 115px;
	}

	.slogan {
		color: #807c87;
		text-decoration: line-through;
	}

	.footer {
		position: fixed;
		bottom: 0upx;
		width: 100%;
		height: 100rpx;
		color: #FFFFFF;
		border-top: solid 1upx #eee;
		background-color: #FFFFFF;
		z-index: 2;
		display: flex;
		justify-content: space-between;
		align-items: center;

		.reBtn {
			width: 120px;
			background-color: #089bf5;
			color: #FFFFFF;
			text-align: center;
			padding: 0;
			font-size: 16px;
			border-radius: 0px;
			height: 50px;
			line-height: 50px;
			position: absolute;
			right: 0px;
		}
	}


	.concont {
		border-radius: 12px;
	}

	.Bubble {
		margin-left: 50%;
		padding-top: 15px;
	}

	.tests {
		border-radius: 15px;
		height: 22px;
		line-height: 22px;
	}

	.cj-slider {
		width: 100%;
		align-items: center;
		display: flex;
	}

	.yhqky {
		background: #ff0034;
		color: #ffffff;
		font-size: 14px;
		padding-left: 5px;
		padding-right: 5px;
		margin-left: 8px;
		padding-top: 2px;
		padding-bottom: 2px;
	}

	.yhprice {
		margin-top: -30px;
	}

	.contrig {
		margin-left: 180rpx;
	}

	.tccs {
		box-shadow: 0rpx 0rpx 10rpx rgba(0, 0, 0, 0.2);
		border: 1px solid #f6f6f6;
		border-radius: 8px;

		image {
			width: 160rpx;
			max-height: 160rpx;
		}
	}
</style>
